﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"

    # Declare characters used by this game.
    $ n = NVLCharacter("",
                          color="#000000")
    $ m = NVLCharacter("Man",
                          color="#ffffff")
    $ t = NVLCharacter("Tree",
                          color="#22ff44")
    $ tr = NVLCharacter("Trashcan",
                          color="#444444")
    $ d = NVLCharacter("Deer",
                          color="#ffff44")
    $ b = NVLCharacter("Beggar",
                          color="#0000ff")
    $ r = NVLCharacter("Reflection",
                          color="#ffffff")

    image bg back1 = "back1.JPG"
    image bg back2 = "back2.jpg"
    image bg back3 = "back3.JPG"
    image bg back4 = "back4.jpg"
    image bg begin = "beginning.jpg"
    image bg end = "ending.JPG"
    image bg credits = "credits.jpg"
    image bg dark = "#000000"

    $ nxt = Fade(2.0, 1.0, 3.0, color='#000')

    $ config.adv_nvl_transition = dissolve
    $ config.nvl_adv_transition = dissolve


# The game starts here.
label start:

    play music "question_it.ogg"
    show bg begin with dissolve 
    n "Once there was a man who asked many questions."
    n "He questioned strange things, even those everyone else took for granted."
    n "He was called many things: Curious, mad, philosopher, idiot. But he did not care."
    n "He had done nothing wrong. He only asked the questions that were in his heart."
    m "Tell me, what is christmas?"
    nvl clear
    n "But nobody answered. Maybe they were too busy preparing the feast and buying the presents to bother about it. Maybe they did not know. Maybe they had already found their answers."
    m "Tell me, what is christmas?"
    n "And the closer it got to the much awaited day, the less he understood about it."
    n "One night, just before the christmas eve, he decided to go out and search for an answer himself."
    n "So he left the comfort of his home and marched through the streets, all of them empty, quiet and dark."
    nvl clear
    scene bg back1 with nxt
    n "After some time he found himself in front of two mighty and beautiful trees, shining with yellow and gold."
    m "Tell me, what is christmas?"
    t "Christmas, my dear boy, is to decorate the world with light and to see the beauty in life."
    t "After a year full of worries and haste, christmas is a pause to apreciate the light of the twinkling stars, the light reflecting on the pure snow and the light of the christmas trees."
    t "That is christmas."
    n "But the man still wasn't satisfied."
    nvl clear
    scene bg back2 with nxt
    n "Shortly after, he met a trash can. It was in a forlorn, dirty place and stank unashamedly."
    m "Tell me, what is christmas?"
    tr "Christmas is nothing but meaningless waste."
    tr "Thousands of chikens and turkeys are beheaded every year in the name of christmas. Hundreds of trees are chopped down when the holiday aproaches. Tons of wrappers are ripped apart and thrown away. Innumerable worthless trinkets are exchanged."
    tr "All of it purposeless. Meaningless. Waste in the name of waste."
    tr "That is christmas."
    n "But the man still wasn't satisfied."
    nvl clear
    scene bg back3 with nxt
    n "He looked some more, and found two beautiful, innocent deers enjoying each other's company. They looked happy and free of any worries."
    m "Tell me, what is christmas?"
    d "It's being next to the ones we love, of course."
    d "Be it family, soulmate, friend or stranger, in christmas all get closer and feel the warmth of each other's heart, if only briefly. Christmas is the time to forgive, to love and to get closer to our companions."
    d "That is christmas."
    n "But the man still wasn't satisfied."
    nvl clear
    scene bg back4 with nxt
    n "And as it got late and began to walk home he saw a poor beggar, sleeping on the streets."
    m "Tell me, what is christmas?"
    b "It's tah help dah ones wors' off den us."
    b "Helpin' folks dat are not as lucky... Dat don't have food or a warm place tah sleep... Is 'bout charity! If we don' help each otha, we'll jus' shut inside ourselves an' get lonely, ya see? Charity 's what we need!"
    b "That 's christmas."
    n "But the man still wasn't satisfied."
    nvl clear
    scene bg dark with dissolve
    m "Everybody answered what christmas meant for them... But I don't agree with any of these answers."
    m "Maybe I have to find my own answer?"
    nvl clear
    scene bg end with nxt
    n "Then he went to a mirror and asked his reflection."
    m "Tell me, what is christmas for me?"
    n "And his reflection laughed."
    r "Isn't that obvious?"
    r "To you, christmas is asking questions like these. Your question is already your own answer, you silly fool."
    nvl clear
    scene bg back2 with dissolve
    r "No matter what you believe..."
    scene bg back4 with dissolve
    r "Or how you celebrate it..."
    scene bg back3 with dissolve
    r "The meaning of christmas..."
    scene bg back1 with dissolve
    r "Only you can decide"
    stop music
    scene bg dark with dissolve
    m "Tell me, what is christmas for you?"
    nvl clear
    scene bg credits with dissolve
    n ""
 
